"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LISK_V3_BACKUP_DATA_DIR = exports.FILE_NAME = exports.EVENT_NEW_BLOCK = exports.DEFAULT_VERSION = exports.LEGACY_DB_PATH = exports.DEFAULT_LISK_CORE_PATH = exports.MIN_SUPPORTED_LISK_CORE_VERSION = exports.SNAPSHOT_DIR = exports.DEFAULT_DATA_DIR = exports.TRANSACTION_ID_LENGTH = exports.BINARY_ADDRESS_LENGTH = exports.SHA_256_HASH_LENGTH = exports.EMPTY_BYTES = exports.EMPTY_STRING = exports.DEFAULT_PORT_RPC = exports.DEFAULT_PORT_P2P = exports.DEFAULT_HOST = exports.NETWORK_CONSTANT = exports.Q96_ZERO = exports.CHAIN_NAME_MAINCHAIN = exports.DUMMY_PROOF_OF_POSSESSION = exports.INVALID_ED25519_KEY = exports.INVALID_BLS_KEY = exports.ADDRESS_LEGACY_RESERVE = exports.SNAPSHOT_TIME_GAP = exports.SNAPSHOT_BLOCK_VERSION = exports.MAX_BFT_WEIGHT_CAP = exports.ROUND_LENGTH = exports.NUMBER_STANDBY_VALIDATORS = exports.NUMBER_ACTIVE_VALIDATORS = exports.MAX_COMMISSION = exports.POS_INIT_ROUNDS = exports.CHAIN_STATE_UNREGISTERED_ADDRESSES = exports.CHAIN_STATE_DELEGATE_VOTE_WEIGHTS = exports.DB_KEY_TRANSACTIONS_ID = exports.DB_KEY_TRANSACTIONS_BLOCK_ID = exports.DB_KEY_BLOCKS_ID = exports.DB_KEY_BLOCKS_HEIGHT = exports.DB_KEY_ACCOUNTS_ADDRESS = exports.DB_KEY_CHAIN_STATE = exports.MODULE_NAME_INTEROPERABILITY = exports.MODULE_NAME_POS = exports.MODULE_NAME_TOKEN = exports.MODULE_NAME_AUTH = exports.MODULE_NAME_LEGACY = void 0;
const os_1 = require("os");
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
exports.MODULE_NAME_LEGACY = 'legacy';
exports.MODULE_NAME_AUTH = 'auth';
exports.MODULE_NAME_TOKEN = 'token';
exports.MODULE_NAME_POS = 'pos';
exports.MODULE_NAME_INTEROPERABILITY = 'interoperability';
exports.DB_KEY_CHAIN_STATE = 'chain';
exports.DB_KEY_ACCOUNTS_ADDRESS = 'accounts:address';
exports.DB_KEY_BLOCKS_HEIGHT = 'blocks:height';
exports.DB_KEY_BLOCKS_ID = 'blocks:id';
exports.DB_KEY_TRANSACTIONS_BLOCK_ID = 'transactions:blockID';
exports.DB_KEY_TRANSACTIONS_ID = 'transactions:id';
exports.CHAIN_STATE_DELEGATE_VOTE_WEIGHTS = 'dpos:delegateVoteWeights';
exports.CHAIN_STATE_UNREGISTERED_ADDRESSES = 'unregisteredAddresses';
exports.POS_INIT_ROUNDS = 587;
exports.MAX_COMMISSION = 10000;
exports.NUMBER_ACTIVE_VALIDATORS = 101;
exports.NUMBER_STANDBY_VALIDATORS = 2;
exports.ROUND_LENGTH = exports.NUMBER_ACTIVE_VALIDATORS + exports.NUMBER_STANDBY_VALIDATORS;
exports.MAX_BFT_WEIGHT_CAP = 1000;
exports.SNAPSHOT_BLOCK_VERSION = 0;
exports.SNAPSHOT_TIME_GAP = 3600;
const { hash } = lisk_cryptography_1.utils;
exports.ADDRESS_LEGACY_RESERVE = hash(Buffer.from('legacyReserve', 'utf8')).slice(0, 20);
exports.INVALID_BLS_KEY = Buffer.alloc(48, 0).toString('hex');
exports.INVALID_ED25519_KEY = Buffer.alloc(32, 255).toString('hex');
exports.DUMMY_PROOF_OF_POSSESSION = Buffer.alloc(96, 0).toString('hex');
exports.CHAIN_NAME_MAINCHAIN = 'lisk_mainchain';
exports.Q96_ZERO = Buffer.alloc(0);
const TOKEN_ID_LSK = Object.freeze({
    MAINNET: '0000000000000000',
    TESTNET: '0100000000000000',
});
const HEIGHT_PREVIOUS_SNAPSHOT_BLOCK = Object.freeze({
    MAINNET: 16270293,
    TESTNET: 14075260,
});
exports.NETWORK_CONSTANT = {
    '4c09e6a781fc4c7bdb936ee815de8f94190f8a7519becd9de2081832be309a99': {
        name: 'mainnet',
        tokenID: TOKEN_ID_LSK.MAINNET,
        prevSnapshotBlockHeight: HEIGHT_PREVIOUS_SNAPSHOT_BLOCK.MAINNET,
    },
    '15f0dacc1060e91818224a94286b13aa04279c640bd5d6f193182031d133df7c': {
        name: 'testnet',
        tokenID: TOKEN_ID_LSK.TESTNET,
        prevSnapshotBlockHeight: HEIGHT_PREVIOUS_SNAPSHOT_BLOCK.TESTNET,
    },
};
exports.DEFAULT_HOST = '127.0.0.1';
exports.DEFAULT_PORT_P2P = 7667;
exports.DEFAULT_PORT_RPC = 7887;
exports.EMPTY_STRING = '';
exports.EMPTY_BYTES = Buffer.alloc(0);
exports.SHA_256_HASH_LENGTH = 32;
exports.BINARY_ADDRESS_LENGTH = 20;
exports.TRANSACTION_ID_LENGTH = exports.SHA_256_HASH_LENGTH;
exports.DEFAULT_DATA_DIR = 'data';
exports.SNAPSHOT_DIR = `${exports.DEFAULT_DATA_DIR}/backup`;
exports.MIN_SUPPORTED_LISK_CORE_VERSION = '3.1.0';
exports.DEFAULT_LISK_CORE_PATH = '~/.lisk/lisk-core';
exports.LEGACY_DB_PATH = `${exports.DEFAULT_LISK_CORE_PATH}/${exports.DEFAULT_DATA_DIR}/legacy.db`;
exports.DEFAULT_VERSION = '0.1.0';
exports.EVENT_NEW_BLOCK = 'app:block:new';
exports.FILE_NAME = {
    COMMANDS_TO_EXEC: 'commandsToExecute.txt',
    FORGING_STATUS: 'forgingStatus.json',
    KEYS: 'keys.json',
};
exports.LISK_V3_BACKUP_DATA_DIR = `${(0, os_1.homedir)()}/.lisk/lisk-core-v3`;
//# sourceMappingURL=constants.js.map